Bug 833534 - [abrt] audacious-3.0.4-1.fc16: g_hash_table_iter_init: Process /usr/bin/audacious was killed by signal 11 (SIGSEGV)
[abrt] audacious-3.0.4-1.fc16: g_hash_table_iter_init: Process /usr/bin/audac...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
abrt_hash:5a162f1062b868493ddf4c3795d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 13:14 EDT by Cristian Ciupitu
Modified: 2012-11-27 13:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 13:17:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (12.22 KB, text/plain)
2012-06-19 13:14 EDT, Cristian Ciupitu
no flags Details
File: maps (55.10 KB, text/plain)
2012-06-19 13:14 EDT, Cristian Ciupitu
no flags Details
File: backtrace (30.53 KB, text/plain)
2012-06-19 13:14 EDT, Cristian Ciupitu
no flags Details

  None (edit)
Description Cristian Ciupitu 2012-06-19 13:14:08 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        audacious
comment:        I tried to activate the mood and rocklight visualization plugins.
crash_function: g_hash_table_iter_init
executable:     /usr/bin/audacious
kernel:         3.3.8-1.fc16.x86_64
pid:            5334
pwd:            /home/ciupicri
time:           Tue 19 Jun 2012 08:02:58 PM EEST
uid:            1000
username:       ciupicri

backtrace:      Text file, 31265 bytes
dso_list:       Text file, 12515 bytes
maps:           Text file, 56420 bytes

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1721
:HOSTNAME=hermes.lizeanunet.tld
:GPG_AGENT_INFO=/tmp/keyring-Mg5HL9/gpg:0:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:SHELL=/bin/bash
:HISTSIZE=20000
:XDG_SESSION_COOKIE=5f31c2763e58af29c1f051100000000d-1340110016.247417-39648220
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:HISTFILESIZE=20000
:USER=ciupicri
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/keyring-Mg5HL9/ssh
:USERNAME=ciupicri
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/ciupicri
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/ciupicri/.local/bin:/home/ciupicri/bin
:PWD=/home/ciupicri
:EDITOR=vim
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/ciupicri
:LOGNAME=ciupicri
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QtNeNScWsv,guid=72e90ae9bb215490fbbbeb3f0000002e
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ciupicri
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:TSOCKS_CONF_FILE=/home/ciupicri/.tsocks.conf
:XAUTHORITY=/var/run/gdm/auth-for-ciupicri-eerzwl/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1760,unix/unix:/tmp/.ICE-unix/1760
:GNOME_KEYRING_CONTROL=/tmp/keyring-Mg5HL9
:GNOME_KEYRING_PID=1768
:DISPLAY=:0.0

var_log_messages:
:Jun 19 20:02:58 hermes kernel: [15408.253423] audacious[5334]: segfault at 58 ip 00007fe071f3b2ba sp 00007fff6ebeb268 error 4 in libglib-2.0.so.0.3000.3[7fe071f08000+11e000]
:Jun 19 20:02:59 hermes abrt[5426]: Saved core dump of pid 5334 (/usr/bin/audacious) to /var/spool/abrt/ccpp-2012-06-19-20:02:58-5334 (137011200 bytes)

xsession_errors:
:** (audacious:5294): WARNING **: Could not grab media player keys: No such method `GrabMediaPlayerKeys'
:** (audacious:5334): WARNING **: Could not grab media player keys: No such method `GrabMediaPlayerKeys'
:** (audacious:5334): CRITICAL **: mpg123_playback_worker: assertion `file' failed
:(audacious:5334): GLib-CRITICAL **: g_hash_table_iter_init: assertion `hash_table != NULL' failed
:(audacious:5334): GLib-CRITICAL **: g_hash_table_iter_next: assertion `ri->version == ri->hash_table->version' failed
Comment 1 Cristian Ciupitu 2012-06-19 13:14:12 EDT
Created attachment 593017 [details]
File: dso_list
Comment 2 Cristian Ciupitu 2012-06-19 13:14:14 EDT
Created attachment 593018 [details]
File: maps
Comment 3 Cristian Ciupitu 2012-06-19 13:14:17 EDT
Created attachment 593019 [details]
File: backtrace
Comment 4 Michael Schwendt 2012-06-19 14:33:16 EDT
> comment:        I tried to activate the mood and rocklight
> visualization plugins.
> crash_function: g_hash_table_iter_init

Reproducibly? Do you know a test-case?

Nothing in the backtrace is related to those two plugins, which have been removed from newer versions of Audacious, btw. Fedora 17 includes a newer version of Audacious, for example.

#0  g_hash_table_iter_init (iter=0x7fff6ebeb270, hash_table=<error reading variable: Cannot access memory at address 0x44>0x14) at ghash.c:714

#1  0x00007fe071788078 in garbage_collect_cell_data (data=0x2b3fe00) at gtktreeviewaccessible.c:2841
#2  0x00007fe0717880fd in idle_garbage_collect_cell_data (data=0x2b3fe00) at gtktreeviewaccessible.c:2866
#3  0x00007fe07125138f in gdk_threads_dispatch (data=0x7fe04c017480) at gdk.c:754
#4  0x00007fe071f4cf3d in g_main_dispatch (context=0x23839e0) at gmain.c:2441
#5  g_main_context_dispatch (context=0x23839e0) at gmain.c:3011
#6  0x00007fe071f4d738 in g_main_context_iterate (context=0x23839e0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3089
#7  0x00007fe071f4dc85 in g_main_loop_run (loop=0x26b1440) at gmain.c:3297
#8  0x00007fe07160498d in gtk_main () at gtkmain.c:1362
#9  0x000000000040c9a9 in main (argc=1, argv=0x7fff6ebeb568) at main.c:586
Comment 5 Cristian Ciupitu 2012-06-19 23:33:44 EDT
It happened only once, so I have no idea about a test case.

Regarding the plugins I remember specifying in abrt that I don't really know what caused the error, so I'll take your word for it.

Note You need to log in before you can comment on or make changes to this bug.